import java.io.*;
 
class f3 extends fi_x
{
 double[] func(double x)
 {
   double f[]=new double[2];	 
   f[0]=x*Math.sin(10.0*Math.PI*x)+1.0;
   f[1]=x*x;
   return f;
 }
}

class PlotT2
{
     public static void main (String args[]) throws IOException
     {
     double xx[]={1,2,3,4,5};
     double yy[]={1,2,3,4,5};
     //initilise as x,y data plot
     Plot pp=new Plot(xx,yy);
     f3 ff1=new f3();
     pp.addFunction(ff1,-2.0,2.0,100,2);
     // optional setup
     pp.setPlabel("Fonksiyon Plot");
     pp.setXlabel("x ekseni");
     pp.setYlabel("y ekseni");
     pp.setColor(0,100,100,100); // 0 means line #1 Color(100,100,100)
     pp.setPlotType(0,29);//set line 1 to plot type 29(filled diamond)
     //data is always accesable
     for(int j=0;j<pp.nline;j++)
     {
        System.out.println("n["+j+"]="+pp.n[j]+"nline="+pp.nline+"plottype="+pp.plottype[j]+"rgb="+pp.red[j]+" "+pp.green[j]+" "+pp.blue[j]);
        for(int i=0;i<pp.n[j];i++)
        {
        System.out.println(pp.x[j][i]+" "+pp.y[j][i]);
        }
     }
     //call plot window
     pp.plot();
     }
}
